Ubuntu

ID3v2.3 tag writing support missing

Reported by Pizuz on 2008-02-27
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
easytag-aac (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: easytag-aac

I just looked at the "About Easytag" window and found this problem:

Apparently Easytag-AAC has been compiled without support for writing ID3v2.3 tags.

This affects version 2.1.5-0.0, newly included in Hardy.

Gennaro Bellizio (genbell) wrote :

I added libid3-3.8.3-dev package to build dependencies to fix the problem. Now ID3v2.3 tags can be written.

Gennaro Bellizio (genbell) wrote :

This is the easytag-aac_2.1.5-0.0.diff.gz after dpkg-buildpackage

Chris Cheney (ccheney) wrote :

Confirmed to still be a problem in Ubuntu 8.04 with all updates, the regular easytag has the ability to select the tag version.

Changed in easytag-aac:
importance: Undecided → Medium
status: New → Confirmed
Chris Cheney (ccheney) wrote :

Oh and as to why it matters that you can't select v2.3 tags: Many hardware players do not support v2.4 tags yet, including my new 2009 Honda Fit.

andol123 (andol123) wrote :

If you've installed EasyTag from Ubuntu Softwarecenter (not sure that's what it's called in English, used to be Add/Remove app..) remove it. When removed, open a terminal and type:

  sudo aptitude install easytag

There you go.. no annoying easytag-aac installed.

The EasyTag you install from Ubuntu Softwarecenter is obvisouly easytag-aac, but you're not told that. Annoying.

andol123 (andol123) wrote :

Forgot to mention: if you follow what I just wrote, you should now be able to select v2.3 tags from easytag.

andol123 (andol123) wrote :

Oh well.. that may not work for people using aac files, but if all you want to do is to tag any other format using ID3v2.3 from EasyTag that's what necessary.

wollombi (wollombi) wrote :

Confirmed as a problem on Lucid and the version of EasyTag-aac in the repository. Can't select ID3v2.3, and, of course, if you happen to be forced to use itunes on occasion, it doesn't read the v2.4 tags correctly.

wollombi (wollombi) wrote :

Honestly, I'm surprised such a small thing to fix is still a problem 2 YEARS after it was first reported.

Patrick Li (patrickli) wrote :

This bug is still present in Maverick 10.10. All it takes is just to do a recompile with libid3-3.8.3-dev. Come on!

HsH (hsh) wrote :

Confirmed a problem - can't select ID3v2.3 on Lucid.
The version of EasyTag-aac 2.1.6 from the repository.

HsH (hsh) wrote :

>The version of EasyTag-aac 2.1.6 from the repository.

Sorry - EasyTag-aac 2.1.5 version

v2.1.6 is an EasyTag package (without mp4|aac support).

jacques (falgouze) wrote :

you can find information about your configuration in help > about > extensions
I lost a lot of id3v2 tags this way, sad, sad !!!
I did remove easytag-aac and installed easytag they're both in the repro's

smonsarr (smonsarr-junk) wrote :

Yup Have just waisted 20 black CDs trying to build a music library for a 2009 Open Zafira that cannot understand ID3 2.4 properly.

Is EasyTAG AAC still maintained ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers